package ch.epfl.ppo.gui;

import java.awt.BorderLayout;

import javax.swing.JFrame;

import ch.epfl.ppo.ImageRGB;

public final class ImageViewer {
    public static void main(String[] args) {
        javax.swing.SwingUtilities.invokeLater(new Runnable() {
            @Override
            public void run() {
                try {
                    // L'image à afficher, à modifier au fur et à mesure de
                    // votre avancement.
                    ImageRGB image = ImageRGB.RED_CIRCLE;

                    JFrame mainWindow = new JFrame("Image viewer");
                    mainWindow.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);

                    mainWindow.getContentPane().setLayout(new BorderLayout());
                    ImageComponent imageComponent = new ImageComponent(image, 0, 0, 4);
                    mainWindow.getContentPane().add(imageComponent, BorderLayout.CENTER);

                    mainWindow.pack();
                    mainWindow.setVisible(true);
                } catch (Exception e) {
                    e.printStackTrace();
                }
            }
        });
    }
}
